/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package salaselo.entities;

import java.io.Serializable;
import java.util.Date;
import salaselo.util.CalendarioUtil;

/**
 *
 * @author maldoror
 */
public class Asignacion implements Serializable {
    public static final String BLOQUE0102="01-02";
    public static final String BLOQUE0304="03-04";
    public static final String BLOQUE0506="06-05";
    public static final String BLOQUE0708="07-08";
    public static final String BLOQUE0910="09-10";
    public static final String BLOQUE1112="11-12";
    public static final String BLOQUE1314="13-14";

    private Date dia;
    private String bloque;
    private Sala sala;
    private Usuario usuario;

    public Asignacion() {
    }

    public String getBloque() {
        return bloque;
    }

    public void setBloque(String bloque) {
        this.bloque = bloque;
    }

    public Date getDia() {
        return dia;
    }

    public void setDia(Date dia) {
        this.dia = dia;
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }

    public Sala getSala() {
        return sala;
    }

    public void setSala(Sala sala) {
        this.sala = sala;
    }

    public int getBloqueIndex()
    {
        if(bloque.equals(BLOQUE0102)) return 0;
        else if(bloque.equals(BLOQUE0304)) return 1;
        else if(bloque.equals(BLOQUE0506)) return 2;
        else if(bloque.equals(BLOQUE0708)) return 3;
        else if(bloque.equals(BLOQUE0910)) return 4;
        else if(bloque.equals(BLOQUE1112)) return 5;
        else return 6;
    }

    @Override
    public String toString()
    {
        String ret = "Sala " + sala.getCodigo() + " Bloque " + bloque
                + " Dia " + CalendarioUtil.dateToString(dia);
        return ret;        
    }
}
